% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i Tilt Link HR
% ACCdefTLHR contiene le medie per l'intervallo definito delle accelerazioni
% ARRAYdateTLHR contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ANGdef_TLHRH,ARRAYdateTLHRH,TempDef_TLHRH] = MediaDati_TLHRH(angTLHRH,...
    TimeTLHRH,tempTLHRH,NdatiMedia,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_TLHRH function started';
fprintf(fileID,fmt,text);

%% Angoli
[r,~]=size(angTLHRH);
if NdatiMedia > r
    NdatiMedia = r;
end
ANGdef_TLHRH = smoothdata(angTLHRH,'gaussian',NdatiMedia);

%% Matrice date
ARRAYdateTLHRH = TimeTLHRH;

%% Temperature
TempDef_TLHRH = tempTLHRH; % Non faccio la media, mi serve il dato come è per applicare i filtri

text = 'Average mean of Tilt Link HR H data executed correctly. MediaDati_TLHRH function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end